<?php

// Chapter 10: Stream and Network Programming
//
// Example 09: Switching off blocking mode

// once again, we will make a connection to the PHP Project's webserver,
// and attempt to read from the socket without having told the webserver
// what page we want it to serve
//
// the difference this time is that we will switch off blocking mode first
//
// finally, we will dump the return value from fgets(), so you can see
// what fgets() returns when trying to read from a blocked stream

$fp = fsockopen("tcp://www.php.net", 80, $sock_errno, $sock_errmsg);
stream_set_blocking($fp, false);

echo "Attempting to read from the stream ... this will fail and return\n";
echo "immediately\n\n";

$result = fgets($fp);
fclose($fp);

echo "fgets() has returned:\n";

var_dump($result);

?>
