<?php

// Chapter 10: Stream and Network Programming
//
// Example 10: setting a timeout on a stream

// once again, we will make a connection to the PHP Project's webserver,
// and attempt to read from the socket without having told the webserver
// what page we want it to serve
//
// the difference this time is that we will set a read/write timeout of
// ten seconds on the stream
//
// finally, we will dump the return value from fgets(), so you can see
// what fgets() returns when stream operations timeout

$fp = fsockopen("tcp://www.php.net", 80, $sock_errno, $sock_errmsg);
stream_set_timeout($fp, 10);

echo "Attempting to read from the stream ... this will timeout in 10 secs\n\n";

$result = fgets($fp);
fclose($fp);

echo "The fgets() has timed out, and returned:\n";

var_dump($result);

?>
